Bug 1754043 - Lifecycle retirement fails for user that no longer has groups
Summary: Lifecycle retirement fails for user that no longer has groups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.8
Hardware: All
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.11
Assignee: drew uhlmann
QA Contact: Tasos Papaioannou
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1750990
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-20 16:07 UTC by Satoe Imaishi
Modified: 2019-10-09 13:51 UTC (History)
7 users (show)

Fixed In Version: 5.10.11.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1750990
Environment:
Last Closed: 2019-10-09 13:51:12 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2967 None None None 2019-10-09 13:51:15 UTC

Comment 3 CFME Bot 2019-09-23 17:00:28 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/df73dc87d633a69a3fa6a1c88fa7f8a8ed0c8c6a
commit df73dc87d633a69a3fa6a1c88fa7f8a8ed0c8c6a
Author:     d-m-u <drewuhlmann@gmail.com>
AuthorDate: Fri Sep 20 12:58:21 2019 -0400
Commit:     d-m-u <drewuhlmann@gmail.com>
CommitDate: Fri Sep 20 12:58:21 2019 -0400

    Users without groups should use admin retirement

    Backport of https://github.com/ManageIQ/manageiq/pull/19309

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1754043

 app/models/mixins/retirement_mixin.rb | 19 +-
 spec/models/vm/retirement_management_spec.rb | 19 +
 2 files changed, 30 insertions(+), 8 deletions(-)

Comment 4 Tasos Papaioannou 2019-09-27 14:35:28 UTC
Verified on 5.10.11.0.

Comment 6 errata-xmlrpc 2019-10-09 13:51:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2967


Note You need to log in before you can comment on or make changes to this bug.